package test.org.seasar.extension.jdbc.impl;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class ImplAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ImplAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.extension.jdbc.impl");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(BasicBatchHandlerTest.class));
		suite.addTest(new TestSuite(BasicSelectHandlerTest.class));
		suite.addTest(new TestSuite(BasicUpdateHandlerTest.class));
		suite.addTest(new TestSuite(BeanListResultSetHandlerTest.class));
		suite.addTest(new TestSuite(BeanResultSetHandlerTest.class));
		suite.addTest(new TestSuite(MapListResultSetHandlerTest.class));
		suite.addTest(new TestSuite(MapResultSetHandlerTest.class));
		suite.addTest(new TestSuite(ObjectResultSetHandlerTest.class));
		//$JUnit-END$
		return suite;
	}
}
